Bug 486534 (CVE-2009-0675) - CVE-2009-0675 kernel: skfp_ioctl inverted logic flaw
Summary: CVE-2009-0675 kernel: skfp_ioctl inverted logic flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0675
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 486535 486536 486537 486538 486539 486540
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-20 07:17 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 23:44:23 UTC


Attachments (Terms of Use)
Upstream patch (988 bytes, patch)
2009-02-20 07:19 UTC, Eugene Teo (Security Response)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0326 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-04-01 08:28:02 UTC
Red Hat Product Errata RHSA-2009:0360 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2009-03-27 00:15:06 UTC

Description Eugene Teo (Security Response) 2009-02-20 07:17:38 UTC
Fix inverted logic in skfp_ioctl(). Non-privileged users should not be able to clear the driver statistics.

diff --git a/drivers/net/skfp/skfddi.c b/drivers/net/skfp/skfddi.c
index 607efea..9a00e55 100644
--- a/drivers/net/skfp/skfddi.c
+++ b/drivers/net/skfp/skfddi.c
@@ -1003,9 +1003,9 @@ static int skfp_ioctl(struct net_device *dev, struct ifreq
 *rq, int cmd)
 		break;
 	case SKFP_CLR_STATS:	/* Zero out the driver statistics */
 		if (!capable(CAP_NET_ADMIN)) {
-			memset(&lp->MacStat, 0, sizeof(lp->MacStat));
-		} else {
 			status = -EPERM;
+		} else {
+			memset(&lp->MacStat, 0, sizeof(lp->MacStat));
 		}
 		break;
 	default:

Comment 4 errata-xmlrpc 2009-03-27 00:14:53 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2009:0360 https://rhn.redhat.com/errata/RHSA-2009-0360.html

Comment 5 errata-xmlrpc 2009-04-01 08:31:05 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0326 https://rhn.redhat.com/errata/RHSA-2009-0326.html


Note You need to log in before you can comment on or make changes to this bug.